import argparse
import logging

from machine_admin.user import User
from machine_admin.machine import Machine
from machine_admin.util import set_is_dry_run

logger = logging.getLogger(__name__)

if __name__ == "__main__":

    parser = argparse.ArgumentParser(
        prog="MachineSetup", description="Scripts for machine provisioning"
    )

    parser.add_argument("username", help="Name of the default non-root user")
    parser.add_argument(
        "--dry_run",
        help="If set then don't change the system state - used for testing.",
        default=False,
    )

    args = parser.parse_args()
    set_is_dry_run(args.dry_run)

    logging.basicConfig()
    logging.getLogger().setLevel(logging.INFO)

    user = User(args.username, has_sudo=True)
    machine = Machine(user)
    machine.setup()
